<?php
/*
  Plugin Name: FTSE 100 Chart - No longer supported
  Plugin URI:
  Description: 
  Version: 1.6
  Author: Anonymous
  Author URI: 
  License: GPLv2
 */

class ftse_widget extends WP_Widget {

    function ftse_widget() {
        $widget_ops = array('classname' => 'ftse_widget', 'description' => __('FTSE 100 Widget', 'ftse-plugin'));
        parent::__construct('ftse_widget_css', __('FTSE Widget', 'ftse-plugin'), $widget_ops);
    }

    function form($instance) {
        // admin form
        $defaults = array('title' => __('FTSE 100 - UNSUPPORTED PLEASE UNINSTALL', 'ftse-plugin'));
        $instance = wp_parse_args((array) $instance, $defaults);
        $title = strip_tags($instance['title']);
        ?>
        <p><?php _e('Title', 'ftse-plugin') ?>: <input class="widefat" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>

        <?php
    }

    function update($new_instance, $old_instance) {
        // save widget options
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    function widget($args, $instance) {
        // display the widget
        extract($args);
        echo $before_widget;
        $title = apply_filters('widget_title', $instance['title']);
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        };

        echo '<img class="ftse-100-chart" src="http://i.imgur.com/dvje9iS.png"/>';

        echo $after_widget;
    }

}

function ftse_register_widget() {
    register_widget('ftse_widget');
}

add_shortcode('ftse_chart', 'ftse_chart_shortcode');

function ftse_chart_shortcode($atts) {

    $output = '<img class="ftse-100-chart" src="http://i.imgur.com/dvje9iS.png"/>';
    return $output;
}

add_action('widgets_init', 'ftse_register_widget');
?>
